@import url(https://fonts.bunny.net/css?family=exo:100,200,300,400,500,600,700,800,900);
@import url(https://fonts.bunny.net/css?family=poppins:100,200,300,400,500,600,700,800,900);

/* Whole HTML Document */

* {
  margin: 0;
  padding: 0;
  transition: all 0.7s ease;
  scroll-behavior: smooth;
}

body {
  background-color: #0e0e0e;
  display: flex;
  flex-direction: column;
  align-items: center;
  overflow-x: hidden;
}

/* Transition */
a,
.btn {
  transition: all 0.9s ease;
}

/* Desktop Nav */
nav,
.nav-links {
  display: flex;
}

nav {
  justify-content: flex-end;
  align-items: center;
  height: 17vh;
  width: 100vw;
  margin-right: 100px;
}

.nav-links {
  gap: 2rem;
  list-style: none;
  font-family: "Exo", sans-serif;
  font-size: 1.3rem;
  font-weight: 600;
}

a {
  color: #fff;
  text-decoration: none;
  text-decoration-color: #0e0e0e;
}

a:hover {
  color: #ff3f3f;
  text-decoration: underline;
  text-underline-offset: 1rem;
  text-decoration-color: #3f1e1e;
}

/* CSS FOR NAV BAR */

#menu {
  margin: 20px 0 0 20px;
  z-index: 2;
}

#menu-bar {
  width: 45px;
  height: 40px;
  margin: 30px 0 20px 20px;
  cursor: pointer;
}

.bar {
  height: 5px;
  width: 30px;
  background-color: #fff;
  display: block;
  border-radius: 5px;
  transition: 0.3s ease;
}

#bar1 {
  transform: translateY(-4px);
}

#bar3 {
  transform: translateY(4px);
}

.nav {
  transition: 0.3s ease;
  display: none;
}

.nav ul {
  padding: 0 20px;
}

.nav li {
  list-style: none;
  padding: 4px 0;
}

.nav li a {
  color: white;
  text-decoration: none;
  font-family: "Exo", sans-serif;
  font-weight: 600;
  font-size: 16px;
}

.nav li a:hover {
  font-weight: bold;
}

.menu-bg, #menu {
  top: 0;
  left: 0;
  position: absolute;
}

.menu-bg {
  z-index: 1;
  width: 0;
  height: 0;
  margin: 50px 0 30px 30px;
  background: radial-gradient(circle, #ff3f3f, #3f1e1e);
  border-radius: 50%;
  transition: 0.3s ease;
}

.change {
  height: 150px;
  display: block;
}

.change .bar {
  background-color: white;
}

.change #bar1 {
  transform: translateY(4px) rotateZ(-40deg);
}

.change #bar2 {
  opacity: 0;
}

.change #bar3 {
  transform: translateY(-6px) rotateZ(40deg);
}

.change-bg {
  width: 420px;
  height: 400px;
  transform: translate(-60%,-30%);
}

#menu-bar{
  padding: 5px;
  height: 15px;
}


#menu-bar, #menu-bg,
#menu{
  display: none;
}

.profile-socials {
  height: 600px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 80px;
}

.profile-container {
  height: 400px;
  width: 800px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 70px;
}

.profile-text-container {
  display: flex;
  flex-direction: column;
  color: #fff;
  font-size: 30px;
}

.profile-container img {
  height: 420px;
  width: 330px;
  -webkit-mask-image: linear-gradient(#000, rgba(0, 0, 0, 0.5));
  mask-image: linear-gradient(#000, rgba(0, 0, 0, 0.1));
}

.greetings {
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-size: 40px;
}

.name {
  font-family: "Exo", sans-serif;
  font-weight: 700;
  font-size: 50px;
}

.position,
.job {
  font-family: "Exo", sans-serif;
  font-weight: 700;
  font-size: 40px;
}

.job {
  background: linear-gradient(
    90deg,
    #ff3f3f -8.69%,
    #3f1e1e 50.05%,
    #1D1D1D 143.93%
  );
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.socials-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 10px;
}

.socials-row1 {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 30px;
}

.socials-row1 img {
  height: 48px;
  width: 48px;
  padding: 10px;
}

.socials-row1 img:hover {
  border-radius: 11px;
  box-shadow: 0 5px 5px #ff3f3f;
}

.discord-row {
  color: #fff;
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-size: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 5px;
}

.discord-row img {
  height: 48px;
  width: 48px;
  padding: 5px;
}

.discord-row img:hover {
  border-radius: 11px;
  box-shadow: 0 2px 2px #ff3f3f;
}

.about-container {
  height: 700px;
  margin-top: 80px;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 120px;
}

.about-container img {
  height: 400px;
  width: 400px;
  border-radius: 5px;
}

.about-info {
  height: 350px;
  width: 500px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  background-color: #3f1e1e;
  border-radius: 10px;
  padding-left: 60px;
  gap: 10px;
}

.about-info h1 {
  color: #ff3f3f;
  font-family: "Exo", sans-serif;
  font-weight: 900;
  font-size: 40px;
}

.about-info p {
  color: #fff;
  font-family: "Poppins", sans-serif;
  font-size: 15px;
  font-weight: 400;
}

.my-skills {
  margin-top: 80px;
  background-image: url(./assets/backgrounds/background-skill.PNG);
  background-size: contain;
  background-repeat: no-repeat;
  height: 700px;
  width: 1200px;
  display: flex;
  flex-direction: column;
  align-items: center;
  color: #ff3f3f;
  font-family: "Exo", sans-serif;
  font-weight: 900;
  font-size: 40px;
  gap: 40px;
}

.title-skill {
  margin: 70px 0 40px 0;
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.skills-list {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  gap: 200px;
}

.skills-column1,
.skills-column2 {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.html,
.css,
.javascript,
.python,
.java,
.java {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.html-details,
.css-details,
.js-details,
.python-details,
.java-details,
.php-details {
  width: 350px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  color: #fff;
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-size: 24px;
  gap: 10px;
}

.prog-lang-name {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

.prog-lang-name img {
  height: 35px;
  width: 35px;
}

.background-bar {
  height: 22px;
  width: 350px;
  background-color: #3f1e1e;
  border-radius: 5px;
}

.html-fill-bar,
.css-fill-bar,
.js-fill-bar,
.py-fill-bar,
.java-fill-bar,
.php-fill-bar {
  height: 22px;
  background-color: #ff3f3f;
  border-radius: 5px;
}

.html-fill-bar {
  width: 70%;
}

.css-fill-bar {
  width: 70%;
}

.js-fill-bar {
  width: 20%;
}

.py-fill-bar {
  width: 40%;
}

.java-fill-bar {
  width: 30%;
}

.php-fill-bar {
  width: 30%;
}

.more-skills{
  margin-top: 15px;
  display:flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 20px;
}

.more-skills h4{
  font-size: 30px;
} 

.sides-container{
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 100px;
}

.leftside ul li, .rightside ul li{
  color: #fff;
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-size: 18px;
}

.my-projects {
  margin-top: 80px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 20px;
}

.header-project {
  color: #ff3f3f;
  font-family: "Exo", sans-serif;
  font-weight: 900;
  font-size: 40px;
  margin: 30px 0 30px 0;
}

.uidesign{
  color: #ff3f3f;
  font-family: "Exo", sans-serif;
  font-weight: 900;
  font-size: 40px;
  margin: 30px 0 5px 0;
}

.project-row1, .project-row2,
.project-row3 {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  gap: 50px;
}

.project-row2, .project-row3 {
  margin: 30px 0 30px 0;
}

.project {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
  color: #fff;
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-size: 20px;
}

.project img {
  height: 280px;
  width: 450px;
  border-radius: 10px;
  border: 3px solid #ff3f3f;
  box-shadow: 0px 5px 7px 0px rgba(153, 76, 76, 0.9);
  transition: all 0.3s ease-in-out;
}

.project img:hover {
  border: 3px solid #ffffff;
  box-shadow: 0px 7px 8px 0px rgba(236, 236, 236, 0.5);
}

.my-contacts{
  display: flex;
  flex-direction: column;
  align-items: center;
}

.header-contact {
  color: #ff3f3f;
  font-family: "Exo", sans-serif;
  font-weight: 900;
  font-size: 40px;
  margin: 40px 0 40px 0;
}

.form-cv{
  margin: 20px 0 0 0 ;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 120px;
}

.contact-form{
  display: flex;
  flex-direction: column;
  gap: 20px;
  align-items: center;
}

.contact-form input{
  height: 30px;
  width: 350px;
  border: 1px solid #ff3f3f;
  border-radius: 5px;
  padding-left: 7px;
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-size: 14px;
}

.contact-form textarea{
  height: 355px;
  width: 351px;
  resize: none;
  border: 1px solid #ff3f3f;
  border-radius: 5px;
  padding-left: 7px;
  padding-top: 10px;
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-size: 14px;
}

.contact-form button{
  height: 60px;
  width: 150px;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 10px;
  border: .5px solid #ff3f3f;
  border-radius: 7px;
  background-color: #3f1e1e;
  color: #fff;
  font-family: "Poppins", sans-serif;
  font-weight: 600;
  font-size: 16px;
}

.contact-form img{
  height: 20px;
  width: 20px;
}

.cv-download{
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 50px;
  margin: 0 0 30px 0;
}

.cv-download img{
  height: 420px;
  width: 400px;
}

.download-btn{
  height: 60px;
  width: 150px;
  background-color: #3f1e1e;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;  
  gap: 5px;
  border: .5px solid #ff3f3f;
  border-radius: 7px;
  color: #fff;
  font-family: "Poppins", sans-serif;
  font-weight: 500;
  font-size: 12px;
}

.download-btn img{
  height: 25px;
  width: 25px;
}

.contact-form button:hover,
.download-btn:hover {
  border: 1px solid #fff;
  box-shadow: 0px 7px 8px 0px rgba(236, 236, 236, 0.5);
}

.back-to-top{
  margin: 70px 0 20px 0;
}

.back-to-top img{
  height: 70px;
  width: 80px;
}

footer {
  margin-top: 50px;
  height: 100px;
  width: 100vw;
  background-color: #3f1e1e;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  color: #fff;
  font-family: "Poppins", sans-serif;
  font-weight: 500;
  font-size: 14px;
}

footer p{
  padding-left: 30px;
}
